My Project: dht::EncryptedValue< T > Class Template Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
dht::EncryptedValue< T > Class Template Reference
Inheritance diagram for dht::EncryptedValue< T >:
[legend]
Collaboration diagram for dht::EncryptedValue< T >:
[legend]

## Public Types
using | BaseClass = SignedValue<T>

## Public Member Functions
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< T >
virtual const ValueType & | getType () const
virtual Value | packValue () const

## Static Public Member Functions
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< T >
static Value::Filter | getFilter ()

## Public Attributes
dht::InfoHash | to
Public Attributes inherited from dht::SignedValue< T >
Sp< crypto::PublicKey > | owner
dht::InfoHash | from

## Detailed Description

template<typename T>
class dht::EncryptedValue< T >

Definition at line 71 of file default_types.h.

## Member Typedef Documentation

## ◆ BaseClass

template<typename T>

using dht::EncryptedValue< T >::BaseClass = SignedValue<T>

Definition at line 74 of file default_types.h.

## Member Function Documentation

## ◆ getFilter()

template<typename T>

Value::Filter dht::EncryptedValue< T >::getFilter | ( |  | ) |
| inlinestatic

Definition at line 86 of file default_types.h.

## ◆ unpackValue()

template<typename T>

virtual void dht::EncryptedValue< T >::unpackValue | ( | const Value & | v | ) |
| inlineoverridevirtual

Reimplemented from dht::SignedValue< T >.

Definition at line 77 of file default_types.h.

## Member Data Documentation

## ◆ to

template<typename T>

dht::InfoHash dht::EncryptedValue< T >::to

Definition at line 92 of file default_types.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/default_types.h